LibreOffice: XSheetCellRanges Interface Reference

LibreOffice LibreOffice 5.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XSheetCellRanges Interface Referencepublished

provides methods to access cell ranges in a collection via index and other helper methods. More...

`import"XSheetCellRanges.idl";`

Inheritance diagram for XSheetCellRanges:

## Public Member Functions
com::sun::star::container::XEnumerationAccess | getCells ()
| returns the collection of all used cells. More...
string | getRangeAddressesAsString ()
| creates a string with addresses of all contained cell ranges. More...
sequence< com::sun::star::table::CellRangeAddress > | getRangeAddresses ()
| creates a sequence with addresses of all contained cell ranges. More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides methods to access cell ranges in a collection via index and other helper methods.

See also
  com::sun::star::sheet::SheetCellRanges

## Member Function Documentation

com::sun::star::container::XEnumerationAccess getCells | ( |  | ) |

returns the collection of all used cells.

See also
  com::sun::star::sheet::Cells

sequence<com::sun::star::table::CellRangeAddress> getRangeAddresses | ( |  | ) |

creates a sequence with addresses of all contained cell ranges.

Returns
  a sequence with the addresses of all cell ranges.

string getRangeAddressesAsString | ( |  | ) |

creates a string with addresses of all contained cell ranges.

The range addresses are separated with semicolons. For instance the string could have the form "Sheet1.A1:C3;Sheet2.D5:F8".

Returns
  a string containing the addresses of all cell ranges.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XSheetCellRanges.idl